##
##  heise.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   version variables
%define       V_vl  2.1.9
%define       V_vs  219

#   package information
Name:         heise
Summary:      Heise Register
URL:          http://www.heise.de/ct/ftp/register.shtml
Vendor:       Heise Verlag, Andy Spiegl, Jan Starzynski
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Misc
License:      GPL
Version:      %{V_vl}
Release:      20021211

#   list of sources
Source0:      ftp://ftp.heise.de/pub/ct/register/regpl%{V_vs}.zip
Source1:      rc.heise
Source2:      heise.conf

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, infozip
PreReq:       OpenPKG, openpkg >= 20020206, infozip, perl, curl, shtool
AutoReq:      no
AutoReqProv:  no

%description
    Utility to seach in the index of the german magazine publisher Heise.

%prep
    %setup -T -c
    %{l_prefix}/bin/unzip -x %{SOURCE regpl%{V_vs}.zip}

%build
    ( echo "#!%{l_prefix}/bin/perl"
      sed \
          -e '1,15d' \
          -e "s;~/heise/inhalt.frm;%{l_prefix}/var/heise/inhalt.frm;" \
          -e "s;^\(\$frmfilefmt = \).*$;\1\"%{l_prefix}/etc/heise/heise.conf\"\;;" \
          <reg.pl
    ) >heise

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/etc/heise
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/var/heise
    %{l_shtool} install -c -m 755 \
        heise \
        $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        %{SOURCE heise.conf} \
        $RPM_BUILD_ROOT%{l_prefix}/etc/heise/
    %{l_shtool} install -c -m 755 \
        -e 's;@l_prefix@;%{l_prefix};g' \
        -e 's;@l_musr@;%{l_musr};g' \
        -e 's;@l_mgrp@;%{l_mgrp};g' \
        %{SOURCE rc.heise} \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

%post
    if [ "$1" -eq 1 ]; then
        $RPM_INSTALL_PREFIX/etc/rc.d/rc.heise weekly || true
    fi

%preun
    if [ "$1" -eq 0 ]; then
        rm -rf $RPM_INSTALL_PREFIX/var/heise/* 2>/dev/null || true
    fi

